commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Oliver Heger <oliver.he...@oliver-heger.de>
Subject Re: [Configuration] Building
Date Wed, 01 Apr 2009 08:12:52 GMT
sebb wrote:
> On 01/04/2009, James Carman <james@carmanconsulting.com> wrote:
> 
>>On Tue, Mar 31, 2009 at 10:27 PM, Ralph Goers
>> <ralph.goers@dslextreme.com> wrote:
>> > I've been reviewing the site documentation and wanted to update the
>> > documentation to talk about running the Webdav test. But the building page
>> > says that Maven 1.x is the preferred build tool and that ant can also be
>> > used. Yet I've done all my builds with Maven 2 and the webdav test was only
>> > set up for that.
>> >
>> > Do we really need to support Ant, Maven 1.x and Maven 2?
>>
>>
>>In my opinion, no.  If our (Apache Commons) preferred method of
>> building is m2, then we stick with m2.  I do understand that some
>> folks don't like maven, but nothing is stopping them from generating
>> the build files themselves for the build system of their choosing
>> (maven can generate ant build files).  Also, most modern IDEs can
>> "understand" m2 pom.xml files just fine, so the argument that "I'm not
>> using maven" gets a bit weaker.
> 
> 
> If the project supports Java 1.3, then IMO it should have a way of
> building and testing on Java 1.3, in which case it needs something
> else other than Maven 2 to build and test it. But this could be a
> basic build file, without site generation.
> 
> BTW, the trunk POM has the following comment:
> 
> <!-- Lang should depend on very little -->
> 
> followed by lots of dependencies!
> 
> Also, the compiler source and target versions are not mentioned, so it
> will default to 1.3, I think, which is probably not true any more? If
> you are now targetting 1.4, JUnit 3.8.2 would be better.

The last release (version 1.6) in fact was compatible with 1.3. There
were some discussions about JDK compatiblity in the past, but we did not
see a compelling reason to switch to 1.4. It would make more sense to
directly go to 1.5. As a related question: Can we switch to JDK 1.4 in a
minor release?

The build instructions are pretty old. At that time Maven 1 was indeed
the preferred build tool for Commons. As it was not too much pain, the
project.xml was kept up to date. And, until recently, the release
instructions for Maven 1 were better than the new M2 documentation. I
will have to check whether this has changed in the meantime.

Oliver

> 
> 
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
>> For additional commands, e-mail: dev-help@commons.apache.org
>>
>>
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
> For additional commands, e-mail: dev-help@commons.apache.org
> 


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message